import QtQuick 1.1
import com.nokia.meego 1.1
import "./controls"

Page {
	id: aboutPage
	tools: aboutTools
	//anchors.margins: rootWindow.pageMargin
	orientationLock: PageOrientation.LockPortrait

	ToolBarLayout {
		id: aboutTools
		ToolIcon {
			iconId: "toolbar-back";
			onClicked: { pageStack.pop(); }
		}

	}
	PageHeader {
		id: headerP
		text: qsTr("About")
	}
	Item {
		anchors.top: headerP.bottom
		anchors.left: parent.left
		anchors.right: parent.right
		anchors.bottom: parent.bottom
		Column {

			anchors.horizontalCenter: parent.horizontalCenter
			anchors.verticalCenter: parent.verticalCenter
			spacing: 10
			Image {
				id: progIcon
				anchors.horizontalCenter: parent.horizontalCenter
				source: "./images/icon_160.png"

				smooth: true
				sourceSize.width: 160
				sourceSize.height: 160
			}

			Text {
				id: progName
				anchors.horizontalCenter: parent.horizontalCenter

				font.pointSize: 40
				font.bold: true
				color: "Blue"
				text: "Sync Time"
			}
			Text {
				id: progVersion
				anchors.horizontalCenter: parent.horizontalCenter

				font.pointSize: 20//24
				color: "Blue"
				text: qsTr("version")+" 1.0.6"
			}
			//---------------------------------------------------------------------------------
			Item{
				id: linkIt
				height: linkCol.childrenRect.height+60
				anchors.left: parent.left
				anchors.right: parent.right
				Column {
					id: linkCol
					anchors.top: parent.top
					anchors.topMargin: 30
					//anchors.bottomMargin: 40
					anchors.left: parent.left
					anchors.right: parent.right
					spacing: 15
					Text {
						id: progForum
						anchors.horizontalCenter: parent.horizontalCenter
						font.pointSize: 28//24
						color: "Blue"
						text: qsTr("Home page:")
						font.bold: true
					}
					Text {
						id: progLink1
						anchors.horizontalCenter: parent.horizontalCenter
						font.pointSize: 24
						color: "Blue"
						text: "<a href='https://openrepos.net/content/nemti/sync-time'>openrepos.net</a>"
						onLinkActivated: {
							progLink1.color="#8800ff"
							Qt.openUrlExternally(link);
						}
					}
					Text {
						id: progLink2
						anchors.horizontalCenter: parent.horizontalCenter
						font.pointSize: 24
						color: "Blue"
						text: "<a href='http://maemo.su/forum/viewtopic.php?pid=133734'>maemo.su</a>"
						onLinkActivated: {
							progLink2.color="#8800ff"
							Qt.openUrlExternally(link);
						}
					}
					Text {
						id: progLink3
						anchors.horizontalCenter: parent.horizontalCenter
						font.pointSize: 24
						color: "Blue"
						text: "<a href='http://4pda.ru/forum/index.php?showtopic=642290'>4pda.ru</a>"
						onLinkActivated: {
							progLink3.color="#8800ff"
							Qt.openUrlExternally(link);
						}
					}
				}
			}
			//-------------------------------------------------------------------------
			Text {
				id: progCopyright
				anchors.horizontalCenter: parent.horizontalCenter


				font.pointSize: 20//24
				color: "Blue"
				text: "Copyright (c) 2015 Nemti"
			}

		}
	}
}     
