// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.1

Item {
	id: main
	property int pixelSize: switchComp.height-10
	property string text: "Test"
	property bool switchInverted: true
	property alias checked: switchComp.checked

	signal clicked;

	width: 200
	height: switchComp.height+14

	Row {
		id: switchRow
		spacing: 10
		anchors.verticalCenter: parent.verticalCenter
		anchors.left: parent.left
		anchors.right: parent.right

		Switch {
			id: switchComp
			checked: main.checked
			platformStyle: SwitchStyle { inverted: main.switchInverted }
			onCheckedChanged: { main.clicked() }
		}

		Text {
			width: switchRow.width - switchRow.spacing - switchComp.width
			height: switchComp.height
			verticalAlignment: Text.AlignVCenter
			text: main.text
			font.pixelSize: main.pixelSize

			MouseArea {
				anchors.fill: parent
				onClicked: { switchComp.checked=!switchComp.checked }
			}
		}
	}

}
